var AllStyles = require('../AllStyles');

var Panda = {
    case: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.steel,
    },
    dial: {
        shape: AllStyles.shape.roundedCircle,
        bg: {
            color: AllStyles.background.faded,
            pattern: {
                type: 'butterflies',
                shapeCount: 33,
                colors: [
                    '#ffdd00',
                    '#f39100',
                    '#e3000f',
                    '#b71a49',
                    '#006b94',
                    '#009bb4',
                    '#94c11c',
                    '#000000'],
                opacity: .8
            }
        }
    },
    hands: {
        type: {
            hour: 'hour',
            minute: 'minute',
            second: 'second'
        },
        hour: {
            color: AllStyles.background.inverse,
            length: '30%',
            margin: '0 20%',
            width: '4px'
        },
        minute: {
            color: AllStyles.background.primary
        },
        second: {
            color: AllStyles.background.success
        },
    },
    header: 'San Francisco',
    index: {
        color: AllStyles.background.inverse,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            3: {
                display: AllStyles.display.none
            },
            9: {
                display: AllStyles.display.none
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.gray,
                font: AllStyles.font.monoton,
                text: 'ABC'
            }
        },
        4: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.info,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.primary
            }
        },
        6: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.success,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.primary
            }
        }
    },
    timeZone: -8
}

module.exports = Panda;